Main Page Widgets Namespaces Book

# cellrenderer.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Classes

class | Gtk::CellRenderer
| CellRenderers are used by Gtk::TreeView columns to render the Gtk::TreeModel column data appropriately. More...

## Enumerations

enum | Gtk::CellRendererMode { Gtk::CELL_RENDERER_MODE_INERT, Gtk::CELL_RENDERER_MODE_ACTIVATABLE, Gtk::CELL_RENDERER_MODE_EDITABLE }
enum | Gtk::CellRendererState { Gtk::CELL_RENDERER_SELECTED = 1 << 0, Gtk::CELL_RENDERER_PRELIT = 1 << 1, Gtk::CELL_RENDERER_INSENSITIVE = 1 << 2, Gtk::CELL_RENDERER_SORTED = 1 << 3, Gtk::CELL_RENDERER_FOCUSED = 1 << 4 }

## Functions

CellRendererState | Gtk::operator& (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | Gtk::operator&= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | Gtk::operator^ (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | Gtk::operator^= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | Gtk::operator| (CellRendererState lhs, CellRendererState rhs)
CellRendererState& | Gtk::operator|= (CellRendererState& lhs, CellRendererState rhs)
CellRendererState | Gtk::operator~ (CellRendererState flags)